Holger's Java API

## com.antelmann.net.mail
Class IMAPBackup.DirArchiver

    java.lang.Object
      com.antelmann.net.mail.IMAPBackup.DirArchiver

All Implemented Interfaces:
  Handler<javax.mail.Message,Exception>

Enclosing class:
  IMAPBackup

    public static class IMAPBackup.DirArchiver

extends Object
implements Handler<javax.mail.Message,Exception>

Constructor Summary
`IMAPBackup.DirArchiver(File dir, boolean useCounter)`

Method Summary
`void` `handle(Object callbackSource, javax.mail.Message msg)` called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMAPBackup.DirArchiver

    public IMAPBackup.DirArchiver(File dir,
                                  boolean useCounter)

Method Detail

### handle

    public void handle(Object callbackSource,
                       javax.mail.Message msg)
                throws Exception

  Description copied from interface: `Handler`
  called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

  Specified by:
    `handle` in interface `Handler<javax.mail.Message,Exception>`
  Parameters:
    `callbackSource` - the object that initiated this call-back
    `msg` - the item to be handled by this instance
  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads